Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# BehaviorControlInterfaces Class Reference

The interfaces of the BehaviorControl module. More...

`#include <BehaviorControl.h>`

Inheritance diagram for BehaviorControlInterfaces:

[legend]
Collaboration diagram for BehaviorControlInterfaces:

[legend]
List of all members.

## Public Member Functions
| BehaviorControlInterfaces (const RobotPose &robotPose, const BallModel &ballModel, const PlayerPoseCollection &playerPoseCollection, const ObstaclesModel &obstaclesModel, const RobotState &robotState, const MotionInfo &motionInfo, const SpecialPercept &specialPercept, const TeamMessageCollection &teamMessageCollection, const JoystickData &joystickData, const OdometryData &odometryData, const SampleSetProxy< PoseSample > &selfLocatorSamples, const SensorDataBuffer &sensorDataBuffer, const PSDPercept &psdPercept, const GTCamWorldState &gtCamWorldState, const PassCorridorCollection &passCorridorCollection, const PlayersModel &playersModel, const GameControlData &gameControlData, MotionRequest &motionRequest, LEDRequest &ledRequest, HeadControlMode &headControlMode, SoundRequest &soundRequest, InvKinWalkingParameters &invKinWalkingParameters, GT2004Parameters &gt2004Parameters, unsigned long &walkParameterTimeStamp, SpecialVisionRequest &specialVisionRequest, CalibrationRequest &calibrationRequest, BehaviorTeamMessage &outgoingBehaviorTeamMessage, GTWalkParametersIndividual &gt2005Parameters, GT2005DebugData &gt2005DebugData, const CameraMatrix &cameraMatrix, BallHandling &ballHandling)
| Constructor.
## Protected Attributes
const RobotPose & | robotPose
| The robots position and orientation.
const BallModel & | ballModel
| The position and the speed of the ball.
const PlayerPoseCollection & | playerPoseCollection
| The positions of the own and opponent players.
const ObstaclesModel & | obstaclesModel
| The positions of the obstacles.
const RobotState & | robotState
| Pressed switches and fall downs.
const MotionInfo & | motionInfo
| The motions that are currently executed by the MotionControl.
const SpecialPercept & | specialPercept
| Special percepts for challenges.
const TeamMessageCollection & | teamMessageCollection
| Messages from teammates.
const JoystickData & | joystickData
| Data produced by an extern sensor called joystick.
const OdometryData & | odometryData
| Odomety Data.
const SampleSetProxy< PoseSample > & | selfLocatorSamples
| The sample set proxy linked to the sample set of the active locator.
const SensorDataBuffer & | sensorDataBuffer
| The sensor data.
const PSDPercept & | psdPercept
| The PSDPercept.
const GTCamWorldState & | gtCamWorldState
| The worldstate generated by the GTCam.
const PassCorridorCollection & | passCorridorCollection
| The pass corridors created by the player model.
const PlayersModel & | playersModel
| The players model created by the players model.
const GameControlData & | gameControlData
| Messages that are sent by the referee.
MotionRequest & | motionRequest
| The motion request to be set by the behavior.
LEDRequest & | ledRequest
| The led request to be set by the behavior.
HeadControlMode & | headControlMode
| The head control mode to be set by the behavior.
SoundRequest & | soundRequest
| The acoustic message to be set by the behavior.
InvKinWalkingParameters & | invKinWalkingParameters
| walking parameter sets to be used by the WalkingEngine, eg calculated by evolution behavior
GT2004Parameters & | gt2004Parameters
unsigned long & | walkParameterTimeStamp
SpecialVisionRequest & | specialVisionRequest
| A request for special vision modules for challenges.
CalibrationRequest & | calibrationRequest
| A request for calibration.
BehaviorTeamMessage & | outgoingBehaviorTeamMessage
| Messages to teammates.
GTWalkParametersIndividual & | gt2005Parameters
GT2005DebugData & | gt2005DebugData
const CameraMatrix & | cameraMatrix
BallHandling & | ballHandling
| Behavior feedback to other modules about the handling of the ball.

## Detailed Description

The interfaces of the BehaviorControl module.

Definition at line 56 of file BehaviorControl.h.

## Constructor & Destructor Documentation

BehaviorControlInterfaces::BehaviorControlInterfaces | ( | const RobotPose & | robotPose,
|  | const BallModel & | ballModel,
|  | const PlayerPoseCollection & | playerPoseCollection,
|  | const ObstaclesModel & | obstaclesModel,
|  | const RobotState & | robotState,
|  | const MotionInfo & | motionInfo,
|  | const SpecialPercept & | specialPercept,
|  | const TeamMessageCollection & | teamMessageCollection,
|  | const JoystickData & | joystickData,
|  | const OdometryData & | odometryData,
|  | const SampleSetProxy< PoseSample > & | selfLocatorSamples,
|  | const SensorDataBuffer & | sensorDataBuffer,
|  | const PSDPercept & | psdPercept,
|  | const GTCamWorldState & | gtCamWorldState,
|  | const PassCorridorCollection & | passCorridorCollection,
|  | const PlayersModel & | playersModel,
|  | const GameControlData & | gameControlData,
|  | MotionRequest & | motionRequest,
|  | LEDRequest & | ledRequest,
|  | HeadControlMode & | headControlMode,
|  | SoundRequest & | soundRequest,
|  | InvKinWalkingParameters & | invKinWalkingParameters,
|  | GT2004Parameters & | gt2004Parameters,
|  | unsigned long & | walkParameterTimeStamp,
|  | SpecialVisionRequest & | specialVisionRequest,
|  | CalibrationRequest & | calibrationRequest,
|  | BehaviorTeamMessage & | outgoingBehaviorTeamMessage,
|  | GTWalkParametersIndividual & | gt2005Parameters,
|  | GT2005DebugData & | gt2005DebugData,
|  | const CameraMatrix & | cameraMatrix,
|  | BallHandling & | ballHandling
| ) | `[inline]`

| Constructor. Definition at line 60 of file BehaviorControl.h.

## Member Data Documentation

const RobotPose& BehaviorControlInterfaces::robotPose`[protected]`

| The robots position and orientation. Definition at line 130 of file BehaviorControl.h.

const BallModel& BehaviorControlInterfaces::ballModel`[protected]`

| The position and the speed of the ball. Definition at line 133 of file BehaviorControl.h.

const PlayerPoseCollection& BehaviorControlInterfaces::playerPoseCollection`[protected]`

| The positions of the own and opponent players. Definition at line 136 of file BehaviorControl.h.

const ObstaclesModel& BehaviorControlInterfaces::obstaclesModel`[protected]`

| The positions of the obstacles. Definition at line 139 of file BehaviorControl.h.

const RobotState& BehaviorControlInterfaces::robotState`[protected]`

| Pressed switches and fall downs. Definition at line 142 of file BehaviorControl.h.

const MotionInfo& BehaviorControlInterfaces::motionInfo`[protected]`

| The motions that are currently executed by the MotionControl. Definition at line 145 of file BehaviorControl.h.

const SpecialPercept& BehaviorControlInterfaces::specialPercept`[protected]`

| Special percepts for challenges. Definition at line 148 of file BehaviorControl.h.

const TeamMessageCollection& BehaviorControlInterfaces::teamMessageCollection`[protected]`

| Messages from teammates. Definition at line 151 of file BehaviorControl.h.

const JoystickData& BehaviorControlInterfaces::joystickData`[protected]`

| Data produced by an extern sensor called joystick. Definition at line 154 of file BehaviorControl.h.

const OdometryData& BehaviorControlInterfaces::odometryData`[protected]`

| Odomety Data. Definition at line 157 of file BehaviorControl.h.

const SampleSetProxy<PoseSample>& BehaviorControlInterfaces::selfLocatorSamples`[protected]`

| The sample set proxy linked to the sample set of the active locator. Definition at line 160 of file BehaviorControl.h.

const SensorDataBuffer& BehaviorControlInterfaces::sensorDataBuffer`[protected]`

| The sensor data. Definition at line 163 of file BehaviorControl.h.

const PSDPercept& BehaviorControlInterfaces::psdPercept`[protected]`

| The PSDPercept. Definition at line 166 of file BehaviorControl.h.

const GTCamWorldState& BehaviorControlInterfaces::gtCamWorldState`[protected]`

| The worldstate generated by the GTCam. Definition at line 169 of file BehaviorControl.h.

const PassCorridorCollection& BehaviorControlInterfaces::passCorridorCollection`[protected]`

| The pass corridors created by the player model. Definition at line 172 of file BehaviorControl.h.

const PlayersModel& BehaviorControlInterfaces::playersModel`[protected]`

| The players model created by the players model. Definition at line 175 of file BehaviorControl.h.

const GameControlData& BehaviorControlInterfaces::gameControlData`[protected]`

| Messages that are sent by the referee. Definition at line 178 of file BehaviorControl.h.

MotionRequest& BehaviorControlInterfaces::motionRequest`[protected]`

| The motion request to be set by the behavior. Definition at line 181 of file BehaviorControl.h.

LEDRequest& BehaviorControlInterfaces::ledRequest`[protected]`

| The led request to be set by the behavior. Definition at line 184 of file BehaviorControl.h.

HeadControlMode& BehaviorControlInterfaces::headControlMode`[protected]`

| The head control mode to be set by the behavior. Definition at line 187 of file BehaviorControl.h.

SoundRequest& BehaviorControlInterfaces::soundRequest`[protected]`

| The acoustic message to be set by the behavior. Definition at line 190 of file BehaviorControl.h.

InvKinWalkingParameters& BehaviorControlInterfaces::invKinWalkingParameters`[protected]`

| walking parameter sets to be used by the WalkingEngine, eg calculated by evolution behavior Definition at line 193 of file BehaviorControl.h.

GT2004Parameters& BehaviorControlInterfaces::gt2004Parameters`[protected]`

| Definition at line 194 of file BehaviorControl.h.

unsigned long& BehaviorControlInterfaces::walkParameterTimeStamp`[protected]`

| Definition at line 195 of file BehaviorControl.h.

SpecialVisionRequest& BehaviorControlInterfaces::specialVisionRequest`[protected]`

| A request for special vision modules for challenges. Definition at line 198 of file BehaviorControl.h.

CalibrationRequest& BehaviorControlInterfaces::calibrationRequest`[protected]`

| A request for calibration. Definition at line 201 of file BehaviorControl.h.

BehaviorTeamMessage& BehaviorControlInterfaces::outgoingBehaviorTeamMessage`[protected]`

| Messages to teammates. Definition at line 204 of file BehaviorControl.h.

GTWalkParametersIndividual& BehaviorControlInterfaces::gt2005Parameters`[protected]`

| Definition at line 207 of file BehaviorControl.h.

GT2005DebugData& BehaviorControlInterfaces::gt2005DebugData`[protected]`

| Definition at line 208 of file BehaviorControl.h.

const CameraMatrix& BehaviorControlInterfaces::cameraMatrix`[protected]`

| Definition at line 210 of file BehaviorControl.h.

BallHandling& BehaviorControlInterfaces::ballHandling`[protected]`

| Behavior feedback to other modules about the handling of the ball. Definition at line 213 of file BehaviorControl.h.

The documentation for this class was generated from the following file:

- Modules/BehaviorControl/BehaviorControl.h